/* Hero section styles */

@font-face {
    font-family: 'Adelia';
    src: url('../assets/font/adelia_3/adelia.woff2') format('woff2'),
        url('../assets/font/adelia_3/adelia.woff') format('woff'),
        url('../assets/font/adelia_3/adelia.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

.font-times {
    font-family: 'Times New Roman', serif;
}

.font-times-bold {
    font-family: 'Times New Roman', serif;
    font-weight: bold;
}

.font-adelia {
    font-family: 'Adelia', sans-serif;
    color: #007974;
}

.font-adelia-bold {
    font-family: 'Adelia', sans-serif;
    font-weight: bold;
    color: #007974;
}

.text-color-delia {
    color: #007974;
}

.hero {
    position: relative;
    background-color: #003533;
    color: white;
    text-align: center;
    overflow: hidden;
}

.hero img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.hero-text {
    position: relative;
    z-index: 10;
    padding-top: 6rem;
}

.gallery-container {
    display: none;
}

.btn-whatsapp-flotante {
    position: fixed;
    bottom: 100px;
    right: 20px;
    min-width: 64px;
    min-height: 64px;
    max-width: 64px;
    max-height: 64px;
    border-radius: 1000px;
    background-color: green;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10000;
}

.btn-whatsapp-flotante__link:active,
.btn-whatsapp-flotante__link:hover,
.btn-whatsapp-flotante__link:visited,
.btnText2:active,
.icon-whithe a:hover,
.white {
    color: #fff;
}

.font-size-35px {
    font-size: 35px;
}

@media (max-width: 768px) {
    .btn-whatsapp-flotante {
        bottom: 50px;
        right: 10px;
        min-width: 50px;
        min-height: 50px;
        max-width: 50px;
        max-height: 50px;
    }

    .font-size-35px {
        font-size: 20px;
    }
}

@media (max-width: 576px) {
    .btn-whatsapp-flotante {
        bottom: 30px;
        right: 5px;
        min-width: 40px;
        min-height: 40px;
        max-width: 40px;
        max-height: 40px;
    }

    .font-size-35px {
        font-size: 20px;
    }
}

@keyframes drop-in {
    to {
        top: 20%;
    }
}

/* Footer */
footer {
    background-color: #343a40;
    color: white;
    padding: 2rem 0;
}

footer a {
    color: white;
    text-decoration: none;
}

.logo {
    max-width: 150px;
}

header .navbar {
    background: rgba(0, 0, 0, 0.5);
}

.nav-color {
    color: #1c3837;
}

.textcolor-novavita {
    color: #007974;
}

.text-novavita {
    font-size: 100px;
    margin-top: 0;
    margin-bottom: 0;
    padding: 0;
    line-height: 1.1;
}

.text-ubicacion {
    font-size: 60px;
    margin-top: 0;
    margin-bottom: 0;
    padding: 0;
    line-height: 1.5;
}

.text-privilegiada {
    font-size: 55px;
    margin-left: 22rem;
}

.text-futuro {
    font-size: 60px;
    margin-top: 0;
    margin-bottom: 0;
    padding: 0;
    line-height: 1.5;
}

.text-espera {
    font-size: 60px;
    margin-left: 15rem;
    line-height: 1;
}

.text-comodidades {
    font-size: 85px;
    margin-top: 0;
    margin-bottom: 0;
    padding: 0;
    line-height: 1.5;
}

#loading {
    position: fixed;
    /* Fija el contenedor en la pantalla */
    top: 0;
    left: 0;
    width: 100%;
    /* Asegura que ocupe todo el ancho */
    height: 100%;
    /* Asegura que ocupe toda la altura */
    background-color: rgba(255, 255, 255, 0.7);
    /* Fondo semitransparente */
    display: flex;
    justify-content: center;
    /* Centra el contenido horizontalmente */
    align-items: center;
    /* Centra el contenido verticalmente */
    z-index: 9999;
    /* Asegura que esté por encima de otros elementos */
}

/* Opcional: Si deseas que el spinner tenga un tamaño adecuado en dispositivos móviles */
#spinner-container {
    width: 100px;
    /* Tamaño base del spinner */
    height: 100px;
    /* Tamaño base del spinner */
}

@media (max-width: 576px) {
    #spinner-container {
        width: 70px;
        /* Tamaño reducido para pantallas más pequeñas */
        height: 70px;
    }
}

@media (max-width: 768px) {
    #spinner-container {
        width: 90px;
        /* Tamaño intermedio para tablets */
        height: 90px;
    }
}

@media (min-width: 992px) {
    #spinner-container {
        width: 120px;
        /* Tamaño más grande para pantallas de escritorio */
        height: 120px;
    }
}



@media (max-width: 1200px) {
    .text-futuro {
        font-size: 50px;
    }

    .text-espera {
        font-size: 50px;
        margin-left: 12rem;
    }

    .text-comodidades {
        font-size: 70px;
    }
}

@media (max-width: 992px) {
    .text-futuro {
        font-size: 40px;
    }

    .text-espera {
        font-size: 40px;
        margin-left: 10rem;
    }

    .text-comodidades {
        font-size: 60px;
    }
}

@media (max-width: 768px) {
    .text-futuro {
        font-size: 30px;
    }

    .text-espera {
        font-size: 30px;
        margin-left: 8rem;
    }

    .text-comodidades {
        font-size: 50px;
    }
}

@media (max-width: 576px) {
    .text-futuro {
        font-size: 20px;
    }

    .text-espera {
        font-size: 20px;
        margin-left: 5rem;
    }

    .text-comodidades {
        font-size: 40px;
    }
}

.text-color-comodidades {
    color: #1bcec8 !important;
}

.border-titulo {
    border: 2px solid rgb(255, 255, 255);
}

.btn-teal {
    background-color: #008080;
    border-color: #008080;
}

.btn-teal:hover {
    background-color: #006666;
    border-color: #006666;
}

.bg-teal {
    background-color: #008080;
    margin-top: -55px;
}

@media (max-width: 1200px) {
    .text-ubicacion {
        font-size: 50px;
    }

    .text-privilegiada {
        font-size: 45px;
        margin-left: 18rem;
    }
}

@media (max-width: 992px) {
    .text-ubicacion {
        font-size: 40px;
    }

    .text-privilegiada {
        font-size: 35px;
        margin-left: 14rem;
    }
}

@media (max-width: 768px) {
    .text-ubicacion {
        font-size: 30px;
    }

    .text-privilegiada {
        font-size: 25px;
        margin-left: 10rem;
    }
}

@media (max-width: 576px) {
    .text-ubicacion {
        font-size: 20px;
    }

    .text-privilegiada {
        font-size: 18px;
        margin-left: 5rem;
    }
}

.social-icons a {
    background-color: #1c3837;
    padding: 15px;
    color: white;
    margin: 0 50px;
    margin-left: 0px;
    font-size: 1.5rem;
}

/* Responsive styles */
@media (max-width: 1200px) {
    .text-novavita {
        font-size: 80px;
    }

    .social-icons a {
        margin: 0 10px;
        font-size: 1.2rem;
    }
}

@media (max-width: 992px) {
    .text-novavita {
        font-size: 60px;
    }

    .social-icons a {
        margin: 0 1px;
        font-size: 1rem;
    }
}

@media (max-width: 768px) {
    .hero-text {
        padding-top: 4rem;
    }

    .text-novavita {
        font-size: 40px;
    }

    .social-icons a {
        margin: 0 5px;
        font-size: 0.8rem;
    }
}

@media (max-width: 576px) {
    .hero {
        padding: 0rem;
    }

    .text-novavita {
        font-size: 30px;
    }

    .social-icons a {
        margin: 0 5px;
        font-size: 0.6rem;
        padding: 10px;
    }
}